import { Author } from "./auth";

export interface Article {
  id: string;
  importId: number;
  title: string;
  excerpt: string;
  content: string;
  categoryId: number;
  cityId: number;
  author: Author;
  authorName: string;
  coverImage: string;
  images?: string[];
  imageSubs: string[];
  gallery?: GalleryImage[];
  publishedAt: string;
  readTime: number;
  likes: number;
  dislikes: number;
  userReaction?: 'like' | 'dislike' | null;
  isActive: boolean;
}

export interface GalleryImage {
  id: string;
  url: string;
  caption: string;
  alt: string;
}

